locked
How could i develop Office Add-ins compatible with Office 2000、Office Xp and Office 2003? RRS feed

  • Question

  • Hi~~~

    I have develped some Office2000 and Office Xp Add-ins with the interface IDTExtensibility2. But it isn't compatible with Office 2003. Then i searched the MSDN, and i found  VSTO can solve the problem. But my develop environment is Visual Studio 2003,and VSTO works in Visual Studio 2005. Could i develop Office 2003 Add-ins with Visual Studio 2003(using VC++)? Do you have any samples or information?

    Thanks a lot!!
    Wednesday, April 19, 2006 3:07 AM

Answers

  • You can develop the addin using the current versions of the Office 2000 suite and the Interop files generate as Primary Interop Assemblies only were released with Office XP will forward support later versions of office in runtime so if you develop in the original version of office 2000 then this should compile and install on Office 2003 and run fine.

    VSTO has requirements for Office 2003 Professional SKU for document level addins only the only application level addin support is for Outlook with VSTO V2 in Visual Studio 2005 and as such is not backward compatible with Office xp/2000 so suggest the first paragraph as your solution if this is your required supported platform for deployments.

    Regards

    Wednesday, April 19, 2006 9:59 PM

All replies

  • VSTO is also available for Visual Studio 2003. I believe it's somewhere on the Visual Studio installation cd (but you need the entrprise architect edition)...

    I have it installed & use it frequently.

    Sven

    Wednesday, April 19, 2006 11:35 AM
  • You can develop the addin using the current versions of the Office 2000 suite and the Interop files generate as Primary Interop Assemblies only were released with Office XP will forward support later versions of office in runtime so if you develop in the original version of office 2000 then this should compile and install on Office 2003 and run fine.

    VSTO has requirements for Office 2003 Professional SKU for document level addins only the only application level addin support is for Outlook with VSTO V2 in Visual Studio 2005 and as such is not backward compatible with Office xp/2000 so suggest the first paragraph as your solution if this is your required supported platform for deployments.

    Regards

    Wednesday, April 19, 2006 9:59 PM